'
' Copyright (c) 2016, MindFusion LLC - Bulgaria.
'


Public Class MovieInfo

    Public Property Name() As String
        Get
            Return m_name
        End Get
        Set(ByVal value As String)
            m_name = value
        End Set
    End Property

    Public Property Image() As Image
        Get
            Return m_image
        End Get
        Set(ByVal value As Image)
            m_image = value
        End Set
    End Property

    Public Property Rating() As Double
        Get
            Return m_rating
        End Get
        Set(ByVal value As Double)
            m_rating = value
        End Set
    End Property

    Public Property ReleaseDate() As DateTime
        Get
            Return m_releaseDate
        End Get
        Set(ByVal value As DateTime)
            m_releaseDate = value
        End Set
    End Property

    Public Property Director() As String
        Get
            Return m_director
        End Get
        Set(ByVal value As String)
            m_director = value
        End Set
    End Property

    Public Property Writers() As String
        Get
            Return m_writers
        End Get
        Set(ByVal value As String)
            m_writers = value
        End Set
    End Property

    Public Property Genre() As MovieGenres
        Get
            Return m_genre
        End Get
        Set(ByVal value As MovieGenres)
            m_genre = value
        End Set
    End Property

    Public Property Tagline() As String
        Get
            Return m_tagline
        End Get
        Set(ByVal value As String)
            m_tagline = value
        End Set
    End Property

    Public Property Plot() As String
        Get
            Return m_plot
        End Get
        Set(ByVal value As String)
            m_plot = value
        End Set
    End Property

    Public Property Cast() As String
        Get
            Return m_cast
        End Get
        Set(ByVal value As String)
            m_cast = value
        End Set
    End Property


    Private m_name As String
    Private m_image As Image
    Private m_rating As Double
    Private m_releaseDate As DateTime
    Private m_director As String
    Private m_writers As String
    Private m_genre As MovieGenres
    Private m_tagline As String
    Private m_plot As String
    Private m_cast As String

End Class


<Flags()> _
Public Enum MovieGenres

    None = 0
    Drama = 1
    Crime = 2
    Thriller = 4
    Action = 8
    Adventure = 16
    SciFi = 32
    Fantasy = 64
    Mystery = 128
    Romance = 256
    All = &HFFFF

End Enum
